Bug 5903 - vfs_streams_xattr breaks contents of the file
vfs_streams_xattr breaks contents of the file
Product: Samba 3.2
Classification: Unclassified
Component: File services
x86 Linux
: P3 major
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2008-11-15 09:29 UTC by TAKAHASHI Motonobu
Modified: 2008-12-14 09:05 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2008-11-15 09:29:03 UTC
Enabling vfs_streams_xattr, 

(1) writing data to a file like:

echo test data > test1.txt

(2) writing data to an altinative data stream for the file like:

echo test data 2 > test1.txt:test1

(3) The content of the file is lost:
Comment 1 Jeremy Allison 2008-11-20 17:22:30 UTC
I have reproduced this. Investigating.
Comment 2 TAKAHASHI Motonobu 2008-12-14 09:05:56 UTC
I tested againt Samba 3.2.6 and this bug is fixed at 3.2.6. (And not at 3.2.5) 
  according to the announcement: http://samba.org/samba/history/samba-3.2.6.html

    * BUG 5903: Fix vfs_streams_xattr breaking contents of files.

BUG#5902 is also fixed.